# Configuration file

####################
# block
####################

block {
    I:blockCompactWatermill=2048
    I:blockReservoir=2046
    I:blockTurbine=2047
}


####################
# enable
####################

enable {
    B:EnableReservoir=true
    B:EnableUpdaters=true

    # 这关系到是否启用高级合金转子
    B:waterRotorAdvanced=true

    # 这关系到是否启用铝转子
    B:waterRotorAluminum=true

    # 这关系到是否启用黄铜转子
    B:waterRotorBrass=true

    # 这关系到是否启用青铜转子
    B:waterRotorBronze=true

    # 这关系到是否启用碳板转子
    B:waterRotorCarbon=true

    # 这关系到是否启用铬转子
    B:waterRotorChrome=true

    # 这关系到是否启用铜转子
    B:waterRotorCopper=true

    # 这关系到是否启用钻石转子
    B:waterRotorDiamond=true

    # 这关系到是否启用金银转子
    B:waterRotorElectrum=true

    # 这关系到是否启用绿宝石转子
    B:waterRotorEmerald=true

    # 这关系到是否启用金转子
    B:waterRotorGold=true

    # 这关系到是否启用殷钢转子
    B:waterRotorInvar=true

    # 这关系到是否启用铱转子
    B:waterRotorIridium=true

    # 这关系到是否启用铱铁转子
    B:waterRotorIridiumIron=true

    # 这关系到是否启用铁转子
    B:waterRotorIron=true

    # 这关系到是否启用青金石转子
    B:waterRotorLapis=true

    # 这关系到是否启用铅转子
    B:waterRotorLead=true

    # 这关系到是否启用镍转子
    B:waterRotorNickel=true

    # 这关系到是否启用黑曜石转子
    B:waterRotorObsidian=true

    # 这关系到是否启用锇转子
    B:waterRotorOsmium=true

    # 这关系到是否启用铂转子
    B:waterRotorPlatinum=true

    # 这关系到是否启用石英转子
    B:waterRotorQuartz=true

    # 这关系到是否启用精炼铁转子
    B:waterRotorRefinedIron=true

    # 这关系到是否启用银转子
    B:waterRotorSilver=true

    # 这关系到是否启用钢转子
    B:waterRotorSteel=true

    # 这关系到是否启用石转子
    B:waterRotorStone=true

    # 这关系到是否启用神秘转子
    B:waterRotorThaumium=true

    # 这关系到是否启用锡转子
    B:waterRotorTin=true

    # 这关系到是否启用钛转子
    B:waterRotorTitanium=true

    # 这关系到是否启用钨转子
    B:waterRotorTungsten=true

    # 这关系到是否启用钨钢转子
    B:waterRotorTungstenSteel=true

    # 这关系到是否启用木转子
    B:waterRotorWood=true

    # 这关系到是否启用锌转子
    B:waterRotorZinc=true
}


####################
# item
####################

item {
    I:itemRange=31696
    I:itemUpdaters=31697

    # This is the id of 高级合金转子 Item.
    I:waterRotorAdvanced=31729

    # This is the id of 铝转子 Item.
    I:waterRotorAluminum=31722

    # This is the id of 黄铜转子 Item.
    I:waterRotorBrass=31723

    # This is the id of 青铜转子 Item.
    I:waterRotorBronze=31733

    # This is the id of 碳板转子 Item.
    I:waterRotorCarbon=31730

    # This is the id of 铬转子 Item.
    I:waterRotorChrome=31702

    # This is the id of 铜转子 Item.
    I:waterRotorCopper=31738

    # This is the id of 钻石转子 Item.
    I:waterRotorDiamond=31727

    # This is the id of 金银转子 Item.
    I:waterRotorElectrum=31709

    # This is the id of 绿宝石转子 Item.
    I:waterRotorEmerald=31728

    # This is the id of 金转子 Item.
    I:waterRotorGold=31739

    # This is the id of 殷钢转子 Item.
    I:waterRotorInvar=31707

    # This is the id of 铱转子 Item.
    I:waterRotorIridium=31726

    # This is the id of 铱铁转子 Item.
    I:waterRotorIridiumIron=31725

    # This is the id of 铁转子 Item.
    I:waterRotorIron=31736

    # This is the id of 青金石转子 Item.
    I:waterRotorLapis=31732

    # This is the id of 铅转子 Item.
    I:waterRotorLead=31741

    # This is the id of 镍转子 Item.
    I:waterRotorNickel=31706

    # This is the id of 黑曜石转子 Item.
    I:waterRotorObsidian=31734

    # This is the id of 锇转子 Item.
    I:waterRotorOsmium=31700

    # This is the id of 铂转子 Item.
    I:waterRotorPlatinum=31704

    # This is the id of 石英转子 Item.
    I:waterRotorQuartz=31731

    # This is the id of 精炼铁转子 Item.
    I:waterRotorRefinedIron=31735

    # This is the id of 银转子 Item.
    I:waterRotorSilver=31737

    # This is the id of 钢转子 Item.
    I:waterRotorSteel=31708

    # This is the id of 石转子 Item.
    I:waterRotorStone=31742

    # This is the id of 神秘转子 Item.
    I:waterRotorThaumium=31699

    # This is the id of 锡转子 Item.
    I:waterRotorTin=31740

    # This is the id of 钛转子 Item.
    I:waterRotorTitanium=31705

    # This is the id of 钨转子 Item.
    I:waterRotorTungsten=31703

    # This is the id of 钨钢转子 Item.
    I:waterRotorTungstenSteel=31701

    # This is the id of 木转子 Item.
    I:waterRotorWood=31743

    # This is the id of 锌转子 Item.
    I:waterRotorZinc=31724
}


####################
# recipe
####################

recipe {
    B:EnableGregTechRecipe=true
    B:EnableThaumcraftRecipe=true
    B:UseIndustrialDiamond=true
}


####################
# rule
####################

rule {
    # If needn't, the default effencity is 100%. It's too easy.
    B:watermillNeedRotor=true
}


